Eclipse PDE Release 3.7

## org.eclipse.pde.core.plugin
Interface IPlugin

All Superinterfaces:
  IAdaptable, IExtensions, IIdentifiable, IPluginBase, IPluginObject, IWritable

    public interface IPlugin

extends IPluginBase

A model object that represents the content of the plugin.xml file.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static String` `P_CLASS_NAME` A property that will be used when the plug-in activator field is changed.

Fields inherited from interface org.eclipse.pde.core.plugin.IPluginBase
`P_IMPORT_ORDER, P_LIBRARY_ORDER, P_PROVIDER, P_SCHEMA_VERSION, P_VERSION`

Fields inherited from interface org.eclipse.pde.core.plugin.IExtensions
`P_EXTENSION_ORDER`

Fields inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`P_NAME`

Fields inherited from interface org.eclipse.pde.core.IIdentifiable
`P_ID`

Method Summary
`String` `getClassName()` Returns a plug-in activator class name
`void` `setClassName(String className)` Sets the name of the plug-in activator class.

Methods inherited from interface org.eclipse.pde.core.plugin.IPluginBase
`add, add, getImports, getLibraries, getProviderName, getSchemaVersion, getVersion, remove, remove, setProviderName, setSchemaVersion, setVersion, swap, swap`

Methods inherited from interface org.eclipse.pde.core.plugin.IExtensions
`add, add, getExtensionPoints, getExtensions, getIndexOf, remove, remove, swap`

Methods inherited from interface org.eclipse.pde.core.plugin.IPluginObject
`getModel, getName, getParent, getPluginBase, getPluginModel, getResourceString, getTranslatedName, isInTheModel, isValid, setInTheModel, setName`

Methods inherited from interface org.eclipse.pde.core.IWritable
`write`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.pde.core.IIdentifiable
`getId, setId`

Field Detail

### P_CLASS_NAME

    static final String P_CLASS_NAME

  A property that will be used when the plug-in activator field is changed.

  See Also:
    Constant Field Values

Method Detail

### getClassName

    String getClassName()

  Returns a plug-in activator class name

  Returns:
    plug-in activator class name or `null` if not specified.

### setClassName

    void setClassName(String className)
                      throws CoreException

  Sets the name of the plug-in activator class. This method will throw a CoreException if the model is not editable.

  Parameters:
    `className` - the new class name
  Throws:
    `CoreException`

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.